- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSsl::Certificate Class Reference

An openssl X509 RAII class. More...

## Public Member Functions
| Certificate (X509 *)
| ~Certificate ()
std::string | str () const

## Detailed Description

An openssl X509 RAII class.

Definition at line 85 of file gssl_openssl.cpp.

## Constructor & Destructor Documentation

GSsl::Certificate::Certificate | ( | X509 * | p | ) |
| explicit

Definition at line 623 of file gssl_openssl.cpp.

GSsl::Certificate::~Certificate | ( |  | ) |

Definition at line 628 of file gssl_openssl.cpp.

## Member Function Documentation

std::string GSsl::Certificate::str | ( |  | ) | const

Definition at line 634 of file gssl_openssl.cpp.

References G::Str::printable(), and G::Str::replaceAll().

Referenced by GSsl::ProtocolImp::peerCertificate().

The documentation for this class was generated from the following file:

- gssl_openssl.cpp